joomla-field-switcher {
  box-sizing: border-box;
  display: block;
  height: 28px; }
  joomla-field-switcher .switcher {
    position: relative;
    box-sizing: border-box;
    display: inline-block;
    width: 62px;
    height: 28px;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
            user-select: none;
    background-color: #f2f2f2;
    background-clip: content-box;
    border: 1px solid rgba(0, 0, 0, 0.18);
    border-radius: 0;
    box-shadow: 0 0 0 0 #dfdfdf inset;
    transition: border .4s ease 0s, box-shadow .4s ease 0s; }
    joomla-field-switcher .switcher.active {
      transition: border .4s ease 0s, box-shadow .4s ease 0s, background-color 1.2s ease 0s; }
      joomla-field-switcher .switcher.active .switch {
        left: calc((62px / 2) - (1px * 2)); }
  joomla-field-switcher input {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
    width: 62px;
    height: 28px;
    padding: 0;
    margin: 0;
    cursor: pointer;
    opacity: 0; }
  joomla-field-switcher .switch {
    position: absolute;
    top: 0;
    left: 0;
    width: calc(62px / 2);
    height: calc(28px - (1px * 2));
    background: #fff;
    border-radius: 0;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.15);
    transition: left .2s ease 0s; }
  joomla-field-switcher .switcher:focus .switch {
    -webkit-animation: switcherPulsate 1.5s infinite;
            animation: switcherPulsate 1.5s infinite; }
  joomla-field-switcher input:checked {
    z-index: 0; }
  joomla-field-switcher .switcher-labels {
    position: relative; }
    joomla-field-switcher .switcher-labels span {
      position: absolute;
      top: 0;
      color: var(--dark);
      visibility: hidden;
      opacity: 0;
      transition: all .2s ease-in-out; }
      joomla-field-switcher .switcher-labels span.active {
        visibility: visible;
        opacity: 1;
        transition: all .2s ease-in-out; }

[dir="rtl"] joomla-field-switcher .switcher-labels span {
  right: 10px; }

[dir="ltr"] joomla-field-switcher .switcher-labels span {
  left: 10px; }

joomla-field-switcher[type="primary"] .switcher.active {
  background-color: #1e87f0;
  border-color: #1e87f0;
  box-shadow: 0 0 0 calc(28px / 2) #1e87f0 inset; }

joomla-field-switcher[type="secondary"] .switcher.active {
  background-color: #868e96;
  border-color: #868e96;
  box-shadow: 0 0 0 calc(28px / 2) #868e96 inset; }

joomla-field-switcher[type="success"] .switcher.active {
  background-color: #2f7d32;
  border-color: #2f7d32;
  box-shadow: 0 0 0 calc(28px / 2) #2f7d32 inset; }

joomla-field-switcher[type="warning"] .switcher.active {
  background-color: #faa05a;
  border-color: #faa05a;
  box-shadow: 0 0 0 calc(28px / 2) #faa05a inset; }

joomla-field-switcher[type="danger"] .switcher.active {
  background-color: #f0506e;
  border-color: #f0506e;
  box-shadow: 0 0 0 calc(28px / 2) #f0506e inset; }

@-webkit-keyframes switcherPulsate {
  0% {
    box-shadow: 0 0 0 0 rgba(66, 133, 244, 0.55); }
  70% {
    box-shadow: 0 0 0 10px rgba(66, 133, 244, 0); }
  100% {
    box-shadow: 0 0 0 0 rgba(66, 133, 244, 0); } }

@keyframes switcherPulsate {
  0% {
    box-shadow: 0 0 0 0 rgba(66, 133, 244, 0.55); }
  70% {
    box-shadow: 0 0 0 10px rgba(66, 133, 244, 0); }
  100% {
    box-shadow: 0 0 0 0 rgba(66, 133, 244, 0); } }
